Package tigase.cluster

# Class ClusterConnectionSelectorOld

java.lang.Object
tigase.cluster.ClusterConnectionSelectorOld

All Implemented Interfaces:
  `ClusterConnectionSelectorIfc`

@Bean(name="clusterConnectionSelector", active=true) public class ClusterConnectionSelectorOld extends Object implements ClusterConnectionSelectorIfc
ClusterConnectionSelectorOld class implements old cluster connection selection algoritm which before was part of ClusterConnectionManager class.

Author:
  andrzej

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClusterConnectionSelectorOld()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XMPPIOService<Object>`
  `selectConnection(Packet p, ClusterConnection conn)`
  Method returns XMPPIOService instances which should be used to send packet between cluster nodes
  `void`
  `setClusterConnectionHandler(ClusterConnectionHandler handler)`
  `void`
  `setProperties(Map<String,Object> props)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClusterConnectionSelectorOld

    public ClusterConnectionSelectorOld()

- ## Method Details

  - ### selectConnection

    public XMPPIOService<Object> selectConnection(Packet p, ClusterConnection conn)
    Description copied from interface: `ClusterConnectionSelectorIfc`
    Method returns XMPPIOService instances which should be used to send packet between cluster nodes
    Specified by:
      `selectConnection` in interface `ClusterConnectionSelectorIfc`

  - ### setClusterConnectionHandler

    public void setClusterConnectionHandler(ClusterConnectionHandler handler)
    Specified by:
      `setClusterConnectionHandler` in interface `ClusterConnectionSelectorIfc`

  - ### setProperties

    public void setProperties(Map<String,Object> props)
    Specified by:
      `setProperties` in interface `ClusterConnectionSelectorIfc`